Glib-2 2.46.2 unittest regex fails

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Glib-2 2.46.2 unittest regex fails

Nikita Gupta
Hi All,

I am using Yocto poky Distro version 1.8.1 to build my image.
And have used Glib-2 version 2.46.2 package.

While testing glib-2 unittests, one of the test case "glib/regex.test" failed with below logs:

# ERROR:../../../glib-2.46.2/glib/tests/regex.c:129:test_new_fail: assertion failed (error == (g-regex-error-quark, 142)): Error while compiling regular expression (?(?<ab)) at char 3: assertion expected after (?( (g-regex-error-quark, 128)

I wanted to report this issue and at the same time was curious to know the reason.

--
Regards,
Nikita Gupta

_______________________________________________
gtk-devel-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-devel-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Glib-2 2.46.2 unittest regex fails

Ross Burton

On 4 July 2017 at 08:03, Nikita Gupta <[hidden email]> wrote:
I am using Yocto poky Distro version 1.8.1 to build my image.
And have used Glib-2 version 2.46.2 package.

Yocto 1.8.1 doesn't come with 2.46.2.  Did you do the upgrade yourself, or backport the upgrade from a later Yocto release?

Ross

_______________________________________________
gtk-devel-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/gtk-devel-list
Loading...